Source-Changes-HG archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

[src/trunk]: src/gnu/dist/autoconf Some patches from Marc Espie that make aut...



details:   https://anonhg.NetBSD.org/src/rev/d2f0102c1382
branches:  trunk
changeset: 517545:d2f0102c1382
user:      tv <tv%NetBSD.org@localhost>
date:      Wed Nov 14 19:53:25 2001 +0000

description:
Some patches from Marc Espie that make autoconf 2.52 work with the updated
/usr/bin/m4.  (Turn off some GNU m4 checks, and go back to non-frozen
source files.)

diffstat:

 gnu/dist/autoconf/Makefile.in   |   3 ++-
 gnu/dist/autoconf/acgeneral.m4  |   7 +++----
 gnu/dist/autoconf/autoconf.in   |  21 +++------------------
 gnu/dist/autoconf/autoupdate.in |   4 ++--
 gnu/dist/autoconf/configure     |  19 -------------------
 5 files changed, 10 insertions(+), 44 deletions(-)

diffs (127 lines):

diff -r 801d81a60894 -r d2f0102c1382 gnu/dist/autoconf/Makefile.in
--- a/gnu/dist/autoconf/Makefile.in     Wed Nov 14 19:47:22 2001 +0000
+++ b/gnu/dist/autoconf/Makefile.in     Wed Nov 14 19:53:25 2001 +0000
@@ -89,7 +89,7 @@
 distpkgdataDATA = acfunctions acheaders acidentifiers acmakevars acprograms                   aclibraries $(m4sources)
 
 
-nodistpkgdataDATA = autoconf.m4f
+nodistpkgdataDATA = 
 
 pkgdata_DATA = $(distpkgdataDATA) $(nodistpkgdataDATA)
 
@@ -176,6 +176,7 @@
        @$(NORMAL_INSTALL)
        $(mkinstalldirs) $(DESTDIR)$(pkgdatadir)
        @list='$(pkgdata_DATA)'; for p in $$list; do \
+         p=`basename $$p`; \
          if test -f $(srcdir)/$$p; then \
            echo " $(INSTALL_DATA) $(srcdir)/$$p $(DESTDIR)$(pkgdatadir)/$$p"; \
            $(INSTALL_DATA) $(srcdir)/$$p $(DESTDIR)$(pkgdatadir)/$$p; \
diff -r 801d81a60894 -r d2f0102c1382 gnu/dist/autoconf/acgeneral.m4
--- a/gnu/dist/autoconf/acgeneral.m4    Wed Nov 14 19:47:22 2001 +0000
+++ b/gnu/dist/autoconf/acgeneral.m4    Wed Nov 14 19:53:25 2001 +0000
@@ -413,12 +413,11 @@
 #  | column 2                |
 #  column 0                  column 26
 #
+m4_define([AC_PadLeft],
+          [m4_if(m4_eval([$1] > [$2]),1,[[ ]AC_PadLeft([$1]-1,[$2])])])
 m4_define([AC_HELP_STRING],
 [m4_pushdef([AC_Prefix], m4_default([$3], [                          ]))dnl
-m4_pushdef([AC_Prefix_Format],
-           [  %-]m4_eval(m4_len(AC_Prefix) - 3)[s ])dnl [  %-23s ]
-m4_text_wrap([$2], AC_Prefix, m4_format(AC_Prefix_Format, [$1]))dnl
-m4_popdef([AC_Prefix_Format])dnl
+m4_text_wrap([$2], AC_Prefix, [  $1]AC_PadLeft(m4_len(AC_Prefix),m4_len([$1])+2))dnl
 m4_popdef([AC_Prefix])dnl
 ])
 
diff -r 801d81a60894 -r d2f0102c1382 gnu/dist/autoconf/autoconf.in
--- a/gnu/dist/autoconf/autoconf.in     Wed Nov 14 19:47:22 2001 +0000
+++ b/gnu/dist/autoconf/autoconf.in     Wed Nov 14 19:53:25 2001 +0000
@@ -99,21 +99,6 @@
 case "$M4" in
   [\\/]* | ?:[\\/]*) test -f "$M4" || M4=m4 ;;
 esac
-# Some non-GNU m4's don't reject the --help option, so give them /dev/null.
-case `$M4 --help </dev/null 2>&1` in
-*reload-state*);;
-*) echo "$me: Autoconf requires GNU m4 1.4 or later" >&2; exit 1 ;;
-esac
-
-# Set some high recursion limit as the default limit, 250, has already
-# been hit with AC_OUTPUT.
-case " $M4 " in
-  *" --nesting-limit"* | *" -L"* )
-  # Don't override the user's choice
-  ;;
-  *) M4="$M4 --nesting-limit=1024"
-  ;;
-esac
 
 
 # Find a good AWK.
@@ -279,7 +264,7 @@
 test -f "$localdir/aclocal.m4"   && aclocal_m4="$localdir/aclocal.m4"
 m4_common="-I $autoconf_dir -I $localdir -Dm4_tmpdir=$tmp"
 m4_prefiles="                $autoconf_dir/autoconf.m4  $acsite_m4 $aclocal_m4"
-m4f_prefiles="--reload-state=$autoconf_dir/autoconf.m4f $acsite_m4 $aclocal_m4"
+m4f_prefiles=$m4_prefiles
 run_m4="$M4 $m4_common"
 
 # Find the input file.
@@ -749,8 +734,8 @@
   # traces in stderr.  This is too fragile, as it results in
   # unexpected data in the output.  autoheader has been fragile to
   # this.
-  $verbose "$me: running $run_m4_trace $trace_prefiles $infile -o $tmp/traces" >&2
-  $run_m4_trace $trace_prefiles $infile -o $tmp/traces >/dev/null ||
+  $verbose "$me: running $run_m4_trace -o $tmp/traces $trace_prefiles $infile" >&2
+  $run_m4_trace -o $tmp/traces $trace_prefiles $infile >/dev/null ||
     {
       echo "$me: tracing failed" >&2
       (exit 1); exit 1
diff -r 801d81a60894 -r d2f0102c1382 gnu/dist/autoconf/autoupdate.in
--- a/gnu/dist/autoconf/autoupdate.in   Wed Nov 14 19:47:22 2001 +0000
+++ b/gnu/dist/autoconf/autoupdate.in   Wed Nov 14 19:53:25 2001 +0000
@@ -204,8 +204,8 @@
 sub find_slaves ()
 {
   # Some non-GNU m4's don't reject the --help option, so give them /dev/null.
-  die "Autoconf requires GNU m4 1.4 or later\n"
-    if system "$m4 --help </dev/null 2>&1 | fgrep reload-state >/dev/null";
+#  die "Autoconf requires GNU m4 1.4 or later\n"
+#    if system "$m4 --help </dev/null 2>&1 | fgrep reload-state >/dev/null";
 
   # autoconf.
   (my $dir = $0) =~ s,[^\\/]*$,,;
diff -r 801d81a60894 -r d2f0102c1382 gnu/dist/autoconf/configure
--- a/gnu/dist/autoconf/configure       Wed Nov 14 19:47:22 2001 +0000
+++ b/gnu/dist/autoconf/configure       Wed Nov 14 19:53:25 2001 +0000
@@ -1192,25 +1192,6 @@
 done
 test -n "$M4" || M4="m4"
 
-echo "$as_me:1195: checking whether m4 supports frozen files" >&5
-echo $ECHO_N "checking whether m4 supports frozen files... $ECHO_C" >&6
-if test "${ac_cv_prog_gnu_m4+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  ac_cv_prog_gnu_m4=no
-if test x"$M4" != x; then
-  case `$M4 --help < /dev/null 2>&1` in
-    *reload-state*) ac_cv_prog_gnu_m4=yes ;;
-  esac
-fi
-fi
-echo "$as_me:1207: result: $ac_cv_prog_gnu_m4" >&5
-echo "${ECHO_T}$ac_cv_prog_gnu_m4" >&6
-if test x"$ac_cv_prog_gnu_m4" != xyes; then
-  { { echo "$as_me:1210: error: GNU m4 1.4 is required" >&5
-echo "$as_me: error: GNU m4 1.4 is required" >&2;}
-   { (exit 1); exit 1; }; }
-fi
 # This is needed because Automake does not seem to realize there is
 # a AC-SUBST inside AC-PROG-GNU-M4.  Grmph!
 



Home | Main Index | Thread Index | Old Index